from enum import Enum


class LoggerInstances(Enum):
    ASKLORAXALPACA = "askloraxalpaca"
    LEDGER = "ledger"
    SCHEDULER = "scheduler"

    @classmethod
    def has_value(cls, key) -> bool:
        return isinstance(key, cls) or key.upper() in cls.__members__

    @staticmethod
    def from_str(label):
        if label.lower() in ["askloraxalpaca", "asklora", "alpaca"]:
            return LoggerInstances.ASKLORAXALPACA
        elif label.lower() in ["ledger", "paymentservice"]:
            return LoggerInstances.LEDGER
        elif label.lower() in ["scheduler", "celery"]:
            return LoggerInstances.SCHEDULER
        else:
            raise NotImplementedError
